MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024850Open CASCADE[OCCT] OCCT:Configurationpublic2014-04-16 19:522014-05-05 17:26
Reporteribs 
Assigned Toibs 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024850: CMake does not find include dir of freetype 2.5.3
DescriptionIn FreeType 2.5+ ft2build.h is contained in <freetype dir>/include/freetype2 folder. CMake _congif_ procedure looks for ft2build.h in <freetype dir>/include folder. To support FreeType versions both prior and after 2.5, the freetype include directory should be sought in include and include/freetype2 directories.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0024630closedibs Support building with Freetype 2.5.1+ 

-  Notes
(0028929)
ibs (developer)
2014-04-17 13:50

dear bugmaster, please test and integrate (config and build occt with freetype 2.5.3)
(0029041)
bugmaster (administrator)
2014-04-23 17:32

All build procedures has been moved to use freetype 2.5.3.
Include files correctly detected by building procedures
(0029163)
abv (manager)
2014-04-30 13:21

The fix has been reimplemented in fix for #24484

- Issue History
Date Modified Username Field Change
2014-04-16 19:52 ibs New Issue
2014-04-16 19:52 ibs Assigned To => ibs
2014-04-16 19:55 ibs Description Updated View Revisions
2014-04-16 20:00 ibs Status new => resolved
2014-04-17 13:49 ibs Description Updated View Revisions
2014-04-17 13:50 ibs Note Added: 0028929
2014-04-17 13:50 ibs Assigned To ibs => bugmaster
2014-04-17 13:50 ibs Status resolved => reviewed
2014-04-17 14:22 ibs Relationship added related to 0024630
2014-04-17 14:32 abv Summary cmake does not found include dir of freetype 2.5.3 => CMmake does not find include dir of freetype 2.5.3
2014-04-17 14:38 abv Summary CMmake does not find include dir of freetype 2.5.3 => CMake does not find include dir of freetype 2.5.3
2014-04-17 14:38 abv Description Updated View Revisions
2014-04-23 17:32 bugmaster Note Added: 0029041
2014-04-23 17:32 bugmaster Status reviewed => tested
2014-04-30 13:21 abv Note Added: 0029163
2014-05-05 17:26 bugmaster Status tested => closed
2014-05-05 17:26 bugmaster Assigned To bugmaster => ibs
2014-05-05 17:26 bugmaster Resolution open => fixed
2014-05-05 17:26 bugmaster Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker